Update yelp* to 3.28.0

Bug #1758467 reported by Jeremy Bicha on 2018-03-24
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
yelp (Ubuntu)
Wishlist
Unassigned
yelp-tools (Ubuntu)
Wishlist
Unassigned
yelp-xsl (Ubuntu)
Wishlist
Unassigned

Bug Description

The Ubuntu Docs team requested that the new versions of yelp* stuff not be updated to the 3.28 versions for Ubuntu 18.04 LTS. The new versions have changes that will require rewriting of the rules used to generate the html documentation for https://help.ubuntu.com/stable/ubuntu-help/

The desktop app yelp should have no compatibility problems.

Even if it takes some time to update those html rules, Ubuntu 18.04 LTS can be used for a while to update the web site. It just would be annoying to be stuck on 16.04 LTS for a while instead!

Therefore, I'm filing this tracking bug and setting the block-proposed tag in case someone accidentally syncs the packages even though we're in Freeze status for Ubuntu 18.04 LTS.

Jeremy Bicha (jbicha) on 2018-03-24
Changed in yelp-tools (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged
Changed in yelp (Ubuntu):
status: New → Triaged
importance: Undecided → Wishlist
Jeremy Bicha (jbicha) on 2018-04-14
Changed in yelp (Ubuntu):
status: Triaged → Fix Released
Jeremy Bicha (jbicha) on 2018-04-14
Changed in yelp (Ubuntu):
status: Fix Released → Triaged
Jeremy Bicha (jbicha) on 2018-05-07
tags: removed: block-proposed
tags: added: block-proposed
Changed in yelp-tools (Ubuntu):
status: Triaged → Fix Committed
Changed in yelp-xsl (Ubuntu):
status: Triaged → Fix Committed
Jeremy Bicha (jbicha) on 2018-05-13
tags: removed: block-proposed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package yelp-xsl - 3.28.0-1

---------------
yelp-xsl (3.28.0-1) unstable; urgency=medium

  * New upstream release (LP: #1758467)
    - Massive backwards incompatible updates to stylesheets
  * debian/copyright: Convert to 1.0 format
  * Drop patch: not needed with new release

 -- Jeremy Bicha <email address hidden> Wed, 28 Mar 2018 20:41:42 -0400

Changed in yelp-xsl (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package yelp-tools - 3.28.0-1

---------------
yelp-tools (3.28.0-1) unstable; urgency=medium

  * New upstream release (LP: #1758467)
  * Drop patch applied in new release:
    - Disable-net-access-in-make-check.patch
  * Depend and Build-Depend on yelp-xsl >= 3.28
  * Add jing as alternate dependency for libxml2-utils

 -- Jeremy Bicha <email address hidden> Wed, 28 Mar 2018 20:42:27 -0400

Changed in yelp-tools (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package yelp - 3.28.1-1ubuntu1

---------------
yelp (3.28.1-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control:
      + Don't recommend fonts-dejavu, Ubuntu uses other fonts
    - debian/source_yelp.py, debian/yelp.install:
      + Install apport hook
    - debian/patches/07_disable_package_search.patch:
      + Remove "Search for packages" feature since it doesn't work with
        Ubuntu's default install.

yelp (3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on appstream-util
  * Install new AppStream metadata
  * Bump Standards-Version to 4.1.4

yelp (3.28.0-1) unstable; urgency=medium

  * New upstream release (LP: #1758467)
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Update Build-Depends per configure.ac
    - Add autoconf-archive
    - Bump libwebkit2gtk-4.0-dev to >= 2.19.2
    - Bump yelp-xsl to >= 3.27.1
  * debian/copyright: Add m4 to Files-Excluded to ensure we use
    the distro packaged version of the autotools macros

yelp (3.26.0-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Use dh_missing --fail-missing

 -- Jeremy Bicha <email address hidden> Sun, 13 May 2018 17:00:44 -0400

Changed in yelp (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers